#include "artedatecatalog.h"
#include <QDate>
#include <QString>
#include <preferences.h>
#include "artedefinitions.h"

ArteDateCatalog::ArteDateCatalog(QObject *parent)
    :QObject(parent)
{
    m_urlByCatalogName.insert(tr("By date"),"::arteDate::");
    // No need to provide a real url, there is only one url for dates and the final url
    // will be built according to the given date
}


QString ArteDateCatalog::getUrlForCatalogNames(QString, QDate catalogDate) const {
    // Goal build an URL with the date in this example format:
    // "http://www.arte.tv/papi/tvguide/epg/schedule/F/L3/2014-09-05/2014-9-5.json"
    // 2015-10-28 new goal : "http://www.arte.tv/papi/tvguide/videos/plus7/program/F/L3/ALL/ALL/-1/AIRDATE_DESC/0/0/DE_FR/2015-10-28.json;
    QString baseUrl("http://www.arte.tv/hbbtvv2/services/web/index.php/EMAC/teasers/guideTV/v2/day/%2-%3-%4/%1");
    QString result = baseUrl.arg( Preferences::getInstance()->applicationLanguage()) // On transforme "fr" en "F", et "de" en "D"
            .arg(catalogDate.year())
            .arg(catalogDate.month(), 2, 'g', -1, '0')
            .arg(catalogDate.day(), 2, 'g', -1, '0');
    return result;
}


QList<FilmDetails*> ArteDateCatalog::listFilmsFromCatalogAnswer(QString catalogName, const QString& catalogAnswer){
    return sharedListFilmsFromCatalogAnswer("programs", catalogName, catalogAnswer);
}

