#include "artelistcatalog.h"
#include <preferences.h>
#include <film/filmdetails.h>
#include "artedefinitions.h"
#include <QDebug>

ArteListCatalog::ArteListCatalog(QObject *parent)
    :QObject(parent)
{

    // Menu home : http://www.arte.tv/hbbtvv2/conf/apps/HOME/filters.json
    //      On y trouve :
    //                      La sélection, la playlist et la liste des émissions. L'ensemble est mentionné dans http://www.arte.tv/hbbtvv2/services/web/index.php/EMAC/teasers/home/fr
    //                      Les plus vues :         http://www.arte.tv/hbbtvv2/services/web/index.php/OPA/v3/videos/mostViewed/page/1/limit/20/fr
    //                      La dernière chance :    http://www.arte.tv/hbbtvv2/services/web/index.php/OPA/v3/videos/lastChance/page/1/limit/20/fr
    //
    // Sur le menu ??? http://www.arte.tv/hbbtvv2/conf/apps/CINEMA/filters.json
    //     On y trouve :
    //                      La sélection, la playlist, les collections et la liste des émissions. L'ensemble est mentionné dans : http://www.arte.tv/hbbtvv2/services/web/index.php/EMAC/teasers/category/CIN/fr
    //                      Par type :
    //                                      Films :     http://www.arte.tv/hbbtvv2/services/web/index.php/EMAC/teasers/subcategory/FLM/fr
    //                                      Courts :    http://www.arte.tv/hbbtvv2/services/web/index.php/EMAC/teasers/subcategory/CMG/fr
    //                                      Ces différents types sont mentionnés dans filters.json sur le xpath /


    // Expected Language Code : fr/de
    QString languageCode = Preferences::getInstance()->applicationLanguage().toLower();
    m_urlByCatalogName.insert(tr("Most seen"), QString("http://www.arte.tv/hbbtvv2/services/web/index.php/OPA/v3/videos/mostViewed/page/1/limit/20/%0").arg(languageCode));
    m_urlByCatalogName.insert(tr("Last chance"), QString("http://www.arte.tv/hbbtvv2/services/web/index.php/OPA/v3/videos/lastChance/page/1/limit/20/%0").arg(languageCode));

    // Nouvelle API:
    // Liste des index de film :
    // http://www.arte.tv/hbbtvv2/services/web/index.php/OPA/v3/videos/mostViewed/page/1/limit/20/fr
    // http://www.arte.tv/hbbtvv2/services/web/index.php/OPA/v3/videos/lastChance/page/1/limit/20/fr
    // Dans ces index, on a une liste de vidéo
    // Dans chaque vidéo on peut retrouver :
    //      /videos[i]/id             "079058-011-A_SHOW_ARTE_NEXT_FR_fr"     l'id de la vidéo
    //      /videos[i]/programId      "079058-011-A"                          l'ID du programme
    //      /videos[i]/language       "fr"                                    la langue audio
    //          et tous les autres détails de la vidéo

    // A partir de ça, il faut construire cette URL : http://www.arte.tv/hbbtvv2/services/web/index.php/OPA/v3/streams/069855-019-A/SHOW/fr
    //         $BASE_VIDEO_URL/$programId/SHOW/$applicationLanguage
    // Qui nous renvoie tous les streams de la vidéo dans toutes les langues, mais la description de la langue est faite dans la lange $applicationLanguage
    // On filtre sur les qualités comme ça :
    //      /videoStreams//[quality=$quality]
    // Et on obtient l'URL ainsi :
    //      /videoStreams/[i]/url

}

QList<FilmDetails*> ArteListCatalog::listFilmsFromCatalogAnswer(QString catalogName, const QString& catalogAnswer){
    return sharedListFilmsFromCatalogAnswer("videos", catalogName, catalogAnswer);
}

